Skip to main content
GET
List Cards

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

last_four
string

The last 4 digits of the card PAN

Pattern: ^\d{4}$
Example:

"1234"

bulk_order_id
string<uuid>
read-only

The unique identifier of a bulk order in which the card was fulfilled

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

customer_id
string<uuid>

The unique identifier of a customer

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

card_brand
enum<string>

The brand of a card product

Available options:
MASTERCARD,
VISA
bin_prefix
string

The BIN number that prefixes a card PAN (first 6 or 8 digits)

Pattern: ^(\d{6}|\d{8})$
Example:

123456

emboss_name
string

emboss name

bulk_order_config_id
string<uuid>

The unique identifier of a bulk order configuration

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

form
enum<string>

The format of the card PHYSICAL or VIRTUAL.

Available options:
PHYSICAL,
VIRTUAL
expires_before
string<date>

The date representing when the card will expire or become invalid before.

Example:

"2006-01-02"

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

card_status
enum<string>

The status of a card The status indicating the card lifecycle state

Available options:
ACTIVE,
PENDING,
REJECTED,
SUSPENDED,
TERMINATED,
UNACTIVATED
card_product_id
string<uuid>

The unique identifier of a cards product

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

account_id
string<uuid>[]

Account ID(s). Multiple IDs can be provided as a comma-separated list.

The unique identifier of an account

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

barcode
string

The barcode associated with a card

Pattern: \d{20}
Example:

10044461864615598000

expiration_date
string<date>

The date representing when the card would expire at

Example:

"2006-01-02"

sort_by
enum<string>[]

Specifies the sort order for the returned cards.

Available options:
account_id:asc,
account_id:desc,
card_brand:asc,
card_brand:desc,
card_product_id:asc,
card_product_id:desc,
card_status:asc,
card_status:desc,
card_type:asc,
card_type:desc,
customer_id:asc,
customer_id:desc,
expiration_date:asc,
expiration_date:desc,
form:asc,
form:desc,
last_four:asc,
last_four:desc

Response

Cards

cards
(Credit Card · object | Debit Card · object)[]
required

Array of Cards

A card that can spend against a credit account

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"